<template>
  <el-row :gutter="20" class="treeMainBlock">
    <el-col>
      <div class="defaultBlock" v-for="(item, item_key) in person_info" v-bind:key="item.id">
        <el-row :gutter="20">
          <el-col class="recursionBlock">
            <ClientRecursion :item="item" :item_key="item_key"></ClientRecursion>
          </el-col>
        </el-row>
      </div>
    </el-col>
  </el-row>
</template>

<script>
import ClientRecursion from "@/views/cabinet-components/clients-components/ClientRecursion";

export default {
  components:{
    ClientRecursion
  },
  props:{
    person_info:[Object, Array],
  },
  data:()=>({
    big_data:[
      {
        name: 'Данные по персоне 1',
        child: [
          {
            name: 'Данные по персоне 2',
          },
          {
            name: 'Данные по персоне 2',
          },
        ],
      },
      {
        name: 'Данные по персоне 1',
        child: [
          {
            name: 'Данные по персоне 2',
            child: [
              {
                name: 'Данные по персоне 3',
              },
              {
                name: 'Данные по персоне 3',
              },
            ],
          },
          {
            name: 'Данные по персоне 2',
          },
        ],
      }
    ]
  })
}
</script>